Provide accessibility of Wikipedia's sister projects through *one* interwiki prefix
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hallo!

"wikipedia:" is a interwiki prefix at many sites where MediaWiki is installed.

Through that "wikipedia:" prefix all Wikipedia language projects can be
addressed with all the benefits:

  • using [[wikipedia:ru:Заглавная_страница]], [[wikipedia:hi:चीन व भारत के

राजनीतिक संबंध]] you do not need the long url's; you may type / copy the titles
directly

  • ...

*request*
Please tray to find a configuration where the interwiki prefixes to
sisterprojects *and* the language prefixes can be used from *outside* the same
as *wikipedia:meta:* works now.

You can see at the reference url http://kb.mozillazine.org/User:Gangleri
that

  • [[wikipedia:meta:foo]] "reaching the target"

but *not*

  • [[wikipedia:commons:bar]]

We can not expect that other wiki's will configure interwiki links to all
sisterprojects and special wiki's of the WikiMedia foundation. If the "gateway"
"wikipedia:en:" can be addressed / reached why people should not be able to
reach the wiki's behind using wiki syntax?

It might be that the idea how to implement this would not come immediately. Then
please do not close the request as INVALID today.

Similar bugs marked invalid are:

  • bug 2226: Interwiki links to other sites than Wikipedia
  • bug 2406: links as [[wikipedia:de:]] will fail at non wikimedia foundation wikis

best regards reinhardt [[user:gangleri]]


Version: unspecified
Severity: enhancement
URL: http://kb.mozillazine.org/User:Gangleri

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz4285.
bzimport created this task.Via LegacyDec 15 2005, 4:38 PM
bzimport added a comment.Via ConduitJan 6 2006, 12:39 AM

gangleri wrote:

bug 4479 Wikitravel broken interwiki
ilustrates a "symmetrical" situation.

from bug 4479 comment 10:

Of course there is the question which interwiki prefixes should be "forwarded"
and which not. Probably a new field in the table should indicate if the prefixes
are in the same project / same super-project / same farm. This field (and
addtional configuration options) should influence the "decision".

bzimport added a comment.Via ConduitJan 6 2006, 12:21 PM

gangleri wrote:

*note*
If possible a runtime mechanism should be available to detect links as
[[wikitravel:wikipedia:wikitravel:wikipedia:wikitravel:wikipedia:meta:Main_Page]]

This particular link might not harm but if redirects between wiki's are *not*
disabeled they can be the cause of infinite loops.

bzimport added a comment.Via ConduitJan 18 2006, 11:00 PM

gangleri wrote:

Providing more tests:

http://www.anubite.co.uk/mediawiki/head/index.php/User:Gangleri

All these interwikis reach the requested target:
→ commons:user:gangleri
→ commons:meta:user:gangleri
→ commons:meta:en:user:gangleri
→ commons:meta:b:user:gangleri
→ commons:meta:n:user:gangleri
→ commons:meta:q:user:gangleri
→ commons:meta:s:user:gangleri
→ commons:meta:wikt:user:Gangleri (upercase "G")
→ commons:meta:w:user:gangleri
→ commons:meta:b:de:user:gangleri
→ commons:meta:n:de:user:gangleri
→ commons:meta:q:de:user:gangleri
→ commons:meta:s:de:user:gangleri
→ commons:meta:wikt:de:user:Gangleri (upercase "G")
→ commons:meta:w:de:user:gangleri

Made similar tests before at
http://scg.vikimedija.org/index.php/user:Gangleri
http://conversion.vikimedija.org/index.php/user:Gangleri
http://crash.vikimedija.org/index.php/user:Gangleri

bzimport added a comment.Via ConduitJan 21 2006, 12:54 PM

rowan.collins wrote:

Actually, I think most sister projects *are* accessible this way
http://en.wikipedia.org/wiki/commons:Foo doesn't work, but
http://en.wikipedia.org/wiki/b:Foo does. I think maybe this is just a
misconfiguration - maybe it only works for interwiki prefixes marked as "local"
in the database, and someone forgot to set that for "commons:"?

bzimport added a comment.Via ConduitJan 21 2006, 3:46 PM

gangleri wrote:

Thanks Rowan for the feedback!

http://kb.mozillazine.org/User:Gangleri/tests/bugzilla/04285
now provides additional links.

I did verify more prefixes from [[special:SiteMatrix]] there but I am neither
shure if these are all to be verified (bug 3745) nor have I double checked with
[[meta:Interwiki_map]].

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitFeb 16 2006, 1:20 AM

gangleri wrote:

The second part of
Bug 5008: Anomaly between http://en.wikipedia.org/wiki/wikinews:Main_Page and
http://en.wikipedia.org/wiki/wikibooks:Main_Page

refers to some navigation links at http://idler.paivola.fi/betawiki/user:Gangleri .

*consequence a*
It might be a good idea to have multiple "entry points" to provide
"accesibility" for the Wikimedia Foundation projects. The Betawiki url is using
both 'meta:' and 'commons:' to "reach" the projects and *not* 'wikipedia:' as
mentioned in the summary of this request.

*consequence b*
It might be a good idea to have "common behaviour" regarding interwiki linking
*ragardless* of the project family. This will neither irritate newbies nor
distract contributors from ususal 'work'.

Marking 'depends on' bug 5008.

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitApr 5 2006, 5:16 AM

gangleri wrote:

The original request was related to a concept called "portability of code" which
allows to copy and paste wiki code between wikies, a step further to the request
Bug 4547: Enable template inclusion from Commons (transclusion => interwiki
templates, etc.).
Until now when refering to documentation available on Wikimedia Foundation
projects the interwiki links need to be adjusted.

While trying to find an optimal entry point to all foundations project and
analysing candidates as 'wikipedia:', 'commons:', 'meta:' and 'wikimedia:' my
personal preference today is *wikimedia:* available since fix of
Bug 1845: Add "Wikimedia" to the list of allowed fowarding prefixes.
and inclusion in the MediaWiki predefined interwiki table.

However there are som odd issues:

[[wikimedia:]] - OK
[[wikimedia:b:Main Page]] - generates a link to nonexisting
http://foundation.wikibooks.org/wiki/Main_Page

[[wikimedia:commons:Main Page|c:]] - OK

[[wikimedia:n:Main Page]] - generates a link to nonexisting
http://foundation.wikinews.org/wiki/Main_Page

[[wikimedia:m:Main Page]] - OK

[[wikimedia:q:Main Page]] - generates a link to nonexisting
http://foundation.wikiquote.org/wiki/Main_Page

[[wikimedia:s:Main Page]] - generates a link to nonexisting
http://foundation.wikisource.org/wiki/Main_Page

[[wikimedia:w:Main Page]] - OK

[[wikimedia:wikt:Main Page]] - generates a link to nonexisting
http://foundation.wiktionary.org/wiki/Main_Page

As far as I know the only wiki where the name of project namespace is
'wikimedia' is [[wikimedia:]] itself with about a dozen of pages.
http://wikimediafoundation.org/wiki/Special:Allpages/project:! and none in
http://wikimediafoundation.org/wiki/Special:Allpages/project_talk:!

If the name of the project namespace at [[wikimedia:]] would be just 'project'
and the 'rooting' trough the interprefixes 'b:', 'commons:' ('c:'), 'n:', 'q:',
'wikt:' (probably also 'sep11:' etc.) would be fixed (and one would recognize
"selfreferencing" at [[wikimedia:]]) 'wikimedia:' would be the ideal entry point.

best regards reinhardt [[user:gangleri]]

P.S. Changed the summary because 'wikipedia:' is not suitable as *global*
interwiki prefix. It would conflict in dozens of Wikimedia foundation wikies
with the name of the project namespace.

bzimport added a comment.Via ConduitApr 5 2006, 5:32 AM

gangleri wrote:

*note*
The behaviour at MediaZilla differs from
http://epov.org/wd-gemet/index.php/User:Gangleri/tests/bugzilla/04285 ,
[[User:Gangleri/tests/bugzilla/04285]] and
[[wikt:User:Gangleri/tests/bugzilla/04285]]

bzimport added a comment.Via ConduitJan 14 2008, 12:00 AM

gangleri wrote:

« m: » is quite a powerful inter project link now. It can be used at almost all projects including Wikipedia projects and [[meta:]] itself.

As shown at
[[wm2008:project talk:Community Portal#bugzilla_004558]]
http://wikimania2008.wikimedia.org/wiki/project_talk:Community_Portal#bugzilla_004558
(about bug 004558 Dead end InterWiki prefixes due to missing sister projects )

[[m:b:nl:Esperanto]]
[[m:n:ro:Pagina principală]]
[[m:q:pl:Antoine de Saint-Exupéry]]
[[m:s:yi:Geboyrn in a zaydn hemdl]]
[[m:v:es:Wikiversidad:Claustro Wikiversitario]]
[[m:wikt:en:welcome#Translations]]

are valid paths to the projects. This means that as soon as one can reach [[meta:]] one should be able to reach Wikipedia's sister projects as well.

To my understanding the resolution for this bug can be changed to « FIXED » .

Thanks! Best regards Reinhardt [[user:Gangleri]]

bzimport added a comment.Via ConduitJan 14 2008, 8:16 PM

gangleri wrote:

(In reply to comment #9)

« m: » is quite a powerful inter project link now. It can be used at almost
all projects including Wikipedia projects and [[meta:]] itself.

beside « m: » you can use also « commons: » , « mw: » etc. (depending how you reach the foundation)

see
https://wikitech.leuksman.com/view/User:Gangleri#bugzilla_004285
and
http://www.wikihow.com/User:Gangleri/sandbox#bugzilla_004285

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.